import java.lang.Math;

/** Rsolution d' une quation du second degr par des 
    mthodes statiques 
    @author Laure
    @version 1
*/

class EquationSta {
  /** Mthode principale, 
      les coefficients seront passs en paramtres 
   */
  public static void main (String[] args) {
      //Initialisation des coefficients
      double a,b,c,x1,x2;
      Double aux= new Double(args[0]);
      a = aux.doubleValue();
      aux = new Double(args[1]);
      b=aux.doubleValue();
      aux = new Double (args[2]);
      c=aux.doubleValue();
      //Calcul des racines
      x1=racine1(a,b,c);
      x2=racine2(a,b,c);
      //Impression des rsultats
      System.out.println("racines =("+x1+" ; "+x2+")");
  }
    
    /** calcul du discriminant
     */
    static double delta(double aa, double bb, double cc) {
	return bb*bb-4*aa*cc;
    }

  /** calcul de la premire racine 
    @param coeffa Coefficient du terme en x*x
    @param coeffb Coefficient du terme en x
    @param coeffc Coefficient du terme constant
  */
  
   static double racine1(double coeffa, double coeffb, double coeffc) {
       return ((-coeffb+Math.sqrt(delta(coeffa, coeffb, coeffc))/(2*coeffa)));
  }

  /** calcul de la seconde racine
    @param coeffa Coefficient du terme en x*x
    @param coeffb Coefficient du terme en x
    @param coeffc Coefficient du terme constant
  */
  static double racine2(double coeffa, double coeffb, double coeffc) {
      return ((-coeffb-Math.sqrt(delta(coeffa, coeffb, coeffc))/(2*coeffa)));
  }
}













