import java.lang.Math;

/** Classe Complexe
 */

public class Vecteurs {
    private double x,y,z;
    Vecteurs() {
	x=0.0;
	y=0.0;
	z=0.0;}
    Vecteurs(double xx, double yy, double zz) {
	x=xx;
	y=yy;
	z=zz;}
    Vecteurs(Vecteurs v) {
	x=v.x;
	y=v.y;
	z=v.z;}
    public Vecteurs plus(Vecteurs v) {
	Vecteurs aux;
	aux = new Vecteurs(x+v.x,y+v.y,z+v.z);
	return aux;
    }
    public Vecteurs moins(Vecteurs v) {
	Vecteurs aux;
	aux = new Vecteurs(x-v.x,y-v.y,z-v.z);
	return aux;
    }
    public Vecteurs mult(Vecteurs v) {
	Vecteurs aux;
	aux = new Vecteurs(x*v.x,y*v.y,z*v.z);
	return aux;
    }
    public Double scal(Vecteurs v) {
	Double aux;
	aux = new Double(x*v.x+y*v.y+z*v.z);
	return aux;
    }
    public Vecteurs vect(Vecteurs v) {
	Vecteurs aux;
	aux = new Vecteurs(y*v.z-z*v.y,z*v.x-x*v.z,x*v.y-y*v.x);
	return aux;
    }
    public void affiche() {
	System.out.println("("+x+" ; "+y+" ; "+z+")"); 
    }

}
